Search found 77 matches

by nic
Mon Aug 03, 2020 7:22 am
Forum: Help on using FreeCAD
Topic: Any tool to check and point "broken face" in a sketch?
Replies: 11
Views: 325

Re: Any tool to check and point "broken face" in a sketch?

by the way, would it be hard to implement the "opened vertices" visualisation while in edit mode?
by nic
Tue Jul 21, 2020 7:08 am
Forum: Announcements & Features
Topic: hfcNASTRAN95 - Pre/Post processing for NASTRAN95
Replies: 18
Views: 1323

Re: hfcNASTRAN95 - Pre/Post processing for NASTRAN95

But not the nastran from 1995 ?!? Well, I don't know where to find the list of cards available in NASTRAN95. I just had a quick look on the user manual, and I could'nt find some important cards (at least to me): * CQUAD4 !! (isoparametric membrane-bending or plane strain quadrilateral plate element...
by nic
Fri Jul 17, 2020 4:43 pm
Forum: Install / Compile
Topic: Linux Mint 20: PPA does not support focal
Replies: 5
Views: 258

Re: Linux Mint 20: PPA does not support focal

Hi derep,

I switched to Appimages since I'm running foca. It works very well https://wiki.freecadweb.org/AppImage.
The regular Appimage has now an auto-updater included which makes update convenient.
by nic
Fri Jul 17, 2020 3:27 pm
Forum: Announcements & Features
Topic: hfcNASTRAN95 - Pre/Post processing for NASTRAN95
Replies: 18
Views: 1323

Re: hfcNASTRAN95 - Pre/Post processing for NASTRAN95

Actually, Nastran's world is quite active. Three main "branches" co-exist (there are more of them, but those are the most widespread): * MSC Nastran https://www.mscsoftware.com/fr/product/msc-nastran * NX Nastran (siemens) https://www.plm.automation.siemens.com/store/en-us/femap/femap-nx-nastran.htm...
by nic
Fri Jul 17, 2020 2:24 pm
Forum: Announcements & Features
Topic: hfcNASTRAN95 - Pre/Post processing for NASTRAN95
Replies: 18
Views: 1323

Re: hfcNASTRAN95 - Pre/Post processing for NASTRAN95

vocx wrote:
Fri Jul 17, 2020 1:29 pm

Not to discourage the conversation but Nastran is old as hell.
Still widely used at least in Aircraft industries (Airbus, Boeing, and a good proportion of sub-contractors as I am).
I'd love to be able to run an open-source Nastran!
by nic
Wed Jul 15, 2020 2:29 pm
Forum: TechDraw
Topic: Feature #3011 - TD broken view
Replies: 7
Views: 394

Re: Proposed feature: broken view

+1
by nic
Sat Jun 27, 2020 4:49 pm
Forum: Python scripting and macros
Topic: App.ActiveDocument.findObjects parameters
Replies: 12
Views: 365

Re: App.ActiveDocument.findObjects parameters

wmayer wrote:
Sat Jun 27, 2020 2:11 pm
findObject now has a third parameter to allow to search by label.
Wow! Thanks Wmayer!
by nic
Fri Jun 26, 2020 1:41 pm
Forum: Python scripting and macros
Topic: App.ActiveDocument.findObjects parameters
Replies: 12
Views: 365

Re: App.ActiveDocument.findObjects parameters

wmayer wrote:
Fri Jun 26, 2020 1:20 pm
The findObjects() function can be easily extended by a third parameter to also handle the Label.
That would be nice, indeed!
by nic
Fri Jun 26, 2020 1:13 pm
Forum: Python scripting and macros
Topic: App.ActiveDocument.findObjects parameters
Replies: 12
Views: 365

[solved] Re: App.ActiveDocument.findObjects parameters

understood However, findObjects look for obect's Name (and not Label). I'll keep the workaround described above, even if it's not elegant, as I need to search by Label. thanks to all for the support and this great Software. [my life] A friend of mine came yesterday and ask me why I was working with ...
by nic
Fri Jun 26, 2020 12:46 pm
Forum: Python scripting and macros
Topic: App.ActiveDocument.findObjects parameters
Replies: 12
Views: 365

Re: App.ActiveDocument.findObjects parameters

gbroques wrote:
Fri Jun 26, 2020 12:42 pm
Yes, this is the workaround I currently use:

Code: Select all

hulls = App.ActiveDocument.getObjectsByLabel('hull')
hulls = [h for h in hulls if h.Module == 'Sketcher']  # keep only sketches
if len(hulls) != 1:
    raise ValueError('more than one sketch called hull was found')
hull = hulls[0]